Skip to main content
POST
/
commerce
/
rules
/
pickwave
Error
A valid request URL is required to generate request examples
{
  "auditInfo": {
    "createBy": "<string>",
    "createDate": "2023-11-07T05:31:56Z",
    "updateBy": "<string>",
    "updateDate": "2023-11-07T05:31:56Z"
  },
  "code": "<string>",
  "customerRules": [
    "<string>"
  ],
  "description": "<string>",
  "enabled": true,
  "name": "<string>",
  "productRules": [
    {
      "code": "<string>",
      "masterCatalogId": 123
    }
  ],
  "shipmentRules": [
    {
      "code": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme.

Query Parameters

responseFields
string

limits which fields are returned in the response body

Body

application/json

Represents a rule for pick wave in the product administration system.

auditInfo
object
code
string | null

Gets or sets the unique identifier of the PickWaveRule. If not given provided on create one will be assigned. Read-only after creation.

customerRules
string[] | null

Gets or sets the list of Customer Rule where the PickWaveRule applies.

description
string | null

Gets or sets the description of the PickWaveRule.

enabled
boolean | null

Gets or sets whether the PickWaveRule is enabled.

name
string | null

Gets or sets the name of the PickWaveRule.

productRules
object[] | null

Gets or sets the list of product rules associated with the PickWaveRule.

shipmentRules
object[] | null

Gets or sets the list of Shipment Rule where the PickWaveRule applies.

Response

Success

Represents a rule for pick wave in the product administration system.

auditInfo
object
code
string | null

Gets or sets the unique identifier of the PickWaveRule. If not given provided on create one will be assigned. Read-only after creation.

customerRules
string[] | null

Gets or sets the list of Customer Rule where the PickWaveRule applies.

description
string | null

Gets or sets the description of the PickWaveRule.

enabled
boolean | null

Gets or sets whether the PickWaveRule is enabled.

name
string | null

Gets or sets the name of the PickWaveRule.

productRules
object[] | null

Gets or sets the list of product rules associated with the PickWaveRule.

shipmentRules
object[] | null

Gets or sets the list of Shipment Rule where the PickWaveRule applies.